org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoSerializersV3d0.VertexPropertySerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoSerializersV3d0.VertexPropertySerializer

- All Implemented Interfaces:
    SerializerShim<VertexProperty>
  Enclosing class:
    GryoSerializersV3d0

      public static final class GryoSerializersV3d0.VertexPropertySerializer
      extends Object
      implements SerializerShim<VertexProperty>

  Serializes any `VertexProperty` implementation encountered to an `DetachedVertexProperty`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexPropertySerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends InputShim> VertexProperty` | `read(KryoShim<I,?> kryo, I input, Class<VertexProperty> vertexPropertyClass)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, VertexProperty vertexProperty)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.SerializerShim

      `isImmutable`

- - ### Constructor Detail

    - #### VertexPropertySerializer

          public VertexPropertySerializer()

  - ### Method Detail

    - #### write

          public <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                                   O output,
                                                   VertexProperty vertexProperty)

      Specified by:
        `write` in interface `SerializerShim<VertexProperty>`

    - #### read

          public <I extends InputShim> VertexProperty read(KryoShim<I,?> kryo,
                                                           I input,
                                                           Class<VertexProperty> vertexPropertyClass)

      Specified by:
        `read` in interface `SerializerShim<VertexProperty>`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.